package com.mgh.pmdm.uc03cp4

import android.app.Activity
import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.activity.result.ActivityResult
import androidx.activity.result.contract.ActivityResultContracts
import com.mgh.pmdm.uc03cp4.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity() {
    private lateinit var binding: ActivityMainBinding

    private val conversorLauncher = registerForActivityResult(
        ActivityResultContracts.StartActivityForResult()
    )
    { result: ActivityResult ->
        // Código del resultado (Activity.RESULT_OK si es correcto)
        val resultCode = result.resultCode
        // Datos asociados al resultado
        val resultData: Intent? = result.data

        // Comprobamos si el resultado es correcto
        if (resultCode == Activity.RESULT_OK) {
            // Si tiene datos

            if (resultData != null) {
                // Si tiene un parámetro extra denominado suma
                if (resultData.hasExtra("mays")) // Para actualizar la UI
                    binding.resultText.text =
                        resultData.extras?.getString("mays").toString()
            }
        }
    }


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        binding.convertButton.setOnClickListener{
            var intentAConverter = Intent (this, ConverterActivity::class.java)

            intentAConverter.putExtra("texto", binding.textToConvert.text.toString())

            // Lanzamos el Intent para obtener el resultado
            conversorLauncher.launch(intentAConverter)

        }
    }
}




